/**
 * Fractal Binding Factory.
 * Copyright (C) 2007-2009 INRIA, SARDES

 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Contact: Valerio.Schiavoni@gmail.com
 * 
 * Author: Valerio Schiavoni
 * 
 */
package org.objectweb.fractal.bf.proxies;

import org.objectweb.fractal.bf.BindHints;
import org.objectweb.fractal.bf.BindingFactoryImpl;

/**
 * A stub content generator can create stub classes using a Class object as
 * input. Concrete instances of this interface are used during the generation of
 * stub components. In particular, those are used during the bind phase to
 * generate stubs on-the-fly.
 * 
 * @see BindingFactoryImpl
 */
@Deprecated
public interface StubContentGenerator<B extends BindHints> {

	/**
	 * Get an instance of the content for the stub component.
	 * 
	 * @param clazz
	 *            the Class of the
	 * @param itfName
	 *            the name of the client interface this content class will be
	 *            bound to
	 * @return an instance object usable as content part of a stub component
	 * @throws GeneratorException
	 */
	Object getStubComponentContentInstance(Class<?> clazz, B hints)
			throws GeneratorException;

}